searchNodes=[{"doc":"HLS is a simple and fast library for parsing and building HLS manifests. Examples master_playlist = &quot;&quot;&quot; #EXTM3U #EXT-X-INDEPENDENT-SEGMENTS #EXT-X-STREAM-INF:PROGRAM-ID=1,BANDWIDTH=240000,RESOLUTION=396x224 media.m3u8 #EXT-X-STREAM-INF:PROGRAM-ID=1, BANDWIDTH=40000 media1.m3u8 #EXT-X-STREAM-INF:PROGRAM-ID=1,BANDWIDTH=440000,RESOLUTION=396x224 media2.m3u8 #EXT-X-STREAM-INF:PROGRAM-ID=1,BANDWIDTH=1928000,RESOLUTION=960x540 media3.m3u8 &quot;&quot;&quot; HLS . parse ( master_playlist ) #=&gt; %HLS.Manifest{type: :master, variants: [%HLS.Variant{}], ...} The result of HLS.parse/1 will be an HLS.Manifest struct. This struct will contain all the data from the .m3u8 files, parsed into elixir data types. Installation Add hls to your list of dependencies in mix.exs . def deps do [ { :hls , &quot;~&gt; 0.1&quot; } ] end","ref":"HLS.html","title":"HLS","type":"module"},{"doc":"Parses an HLS manifest (.m3u8) with the provided URL. This can be the Master Playlist or a Media Playlist.","ref":"HLS.html#parse/1","title":"HLS.parse/1","type":"function"},{"doc":"Turns a Manifest struct into its m3u8 text representation.","ref":"HLS.html#serialize/1","title":"HLS.serialize/1","type":"function"},{"doc":"Struct and functions to handle a line in the M3U8 file.","ref":"HLS.M3ULine.html","title":"HLS.M3ULine","type":"module"},{"doc":"Returns true if the provided M3ULine is an audio tag.","ref":"HLS.M3ULine.html#audio_tag_line?/1","title":"HLS.M3ULine.audio_tag_line?/1","type":"function"},{"doc":"","ref":"HLS.M3ULine.html#build/1","title":"HLS.M3ULine.build/1","type":"function"},{"doc":"Retrieves the value of the given key from the M3ULine's attributes.","ref":"HLS.M3ULine.html#get_attribute/2","title":"HLS.M3ULine.get_attribute/2","type":"function"},{"doc":"Retrieves the value of the given key from the M3ULine's attributes while ensuring the result is a boolean.","ref":"HLS.M3ULine.html#get_boolean_attribute/2","title":"HLS.M3ULine.get_boolean_attribute/2","type":"function"},{"doc":"Retrieves the value of the given key from the M3ULine's attributes while ensuring the result is a float","ref":"HLS.M3ULine.html#get_float_attribute/2","title":"HLS.M3ULine.get_float_attribute/2","type":"function"},{"doc":"Retrieves the value of the given key from the M3ULine's attributes while ensuring the result is an integer","ref":"HLS.M3ULine.html#get_integer_attribute/2","title":"HLS.M3ULine.get_integer_attribute/2","type":"function"},{"doc":"Checks the existance of the provide key, and that it matches the provide value. Example iex&gt; has_attribute? ( % HLS.M3ULine { } , &quot;noexity&quot; , &quot;no&quot; ) false iex&gt; has_attribute? ( % HLS.M3ULine { attributes : % { &quot;KEY&quot; =&gt; &quot;VAL}}, &quot; key &quot;, &quot; val &quot; ) true","ref":"HLS.M3ULine.html#has_attribute?/3","title":"HLS.M3ULine.has_attribute?/3","type":"function"},{"doc":"Returns true if the provided M3ULine is an EXT-X-IMAGE-STREAM-INF tag, used for trick play","ref":"HLS.M3ULine.html#image_stream_line?/1","title":"HLS.M3ULine.image_stream_line?/1","type":"function"},{"doc":"Returns true if the provided M3ULine is a segment tag.","ref":"HLS.M3ULine.html#segment_tag_line?/1","title":"HLS.M3ULine.segment_tag_line?/1","type":"function"},{"doc":"Returns true if the provided M3ULine is a subtitle tag.","ref":"HLS.M3ULine.html#subtitle_tag_line?/1","title":"HLS.M3ULine.subtitle_tag_line?/1","type":"function"},{"doc":"Returns true if the provided M3ULine is a URI.","ref":"HLS.M3ULine.html#uri_line?/1","title":"HLS.M3ULine.uri_line?/1","type":"function"},{"doc":"Returns true if the provided M3ULine is a variant tag.","ref":"HLS.M3ULine.html#variant_tag_line?/1","title":"HLS.M3ULine.variant_tag_line?/1","type":"function"},{"doc":"","ref":"HLS.Manifest.html","title":"HLS.Manifest","type":"module"},{"doc":"","ref":"HLS.Manifest.html#build/1","title":"HLS.Manifest.build/1","type":"function"},{"doc":"","ref":"HLS.Media.html","title":"HLS.Media","type":"module"},{"doc":"","ref":"HLS.Media.html#build/1","title":"HLS.Media.build/1","type":"function"},{"doc":"Given a key and value, correctly serializes the attribute into a KEY=value string, respecting the spec for which keys should or should not be quoted. https://www.rfc-editor.org/rfc/rfc8216.html#section-4.3.4.2","ref":"HLS.Media.html#serialize_attribute/2","title":"HLS.Media.serialize_attribute/2","type":"function"},{"doc":"","ref":"HLS.Media.html#serialize_attributes/1","title":"HLS.Media.serialize_attributes/1","type":"function"},{"doc":"","ref":"HLS.Segment.html","title":"HLS.Segment","type":"module"},{"doc":"","ref":"HLS.Segment.html#build/1","title":"HLS.Segment.build/1","type":"function"},{"doc":"Given a key and value, correctly serializes the attribute into a KEY=value string, respecting the spec for which keys should or should not be quoted. https://www.rfc-editor.org/rfc/rfc8216.html#section-4.3.4.2","ref":"HLS.Segment.html#serialize_attribute/2","title":"HLS.Segment.serialize_attribute/2","type":"function"},{"doc":"","ref":"HLS.Segment.html#serialize_attributes/1","title":"HLS.Segment.serialize_attributes/1","type":"function"},{"doc":"","ref":"HLS.Serializer.html","title":"HLS.Serializer","type":"module"},{"doc":"","ref":"HLS.Serializer.html#run/1","title":"HLS.Serializer.run/1","type":"function"},{"doc":"","ref":"HLS.Serializers.M3U8.html","title":"HLS.Serializers.M3U8","type":"module"},{"doc":"","ref":"HLS.Serializers.M3U8.html#render/1","title":"HLS.Serializers.M3U8.render/1","type":"function"},{"doc":"","ref":"HLS.Variant.html","title":"HLS.Variant","type":"module"},{"doc":"","ref":"HLS.Variant.html#build/1","title":"HLS.Variant.build/1","type":"function"},{"doc":"Given a key and value, correctly serializes the attribute into a KEY=value string, respecting the spec for which keys should or should not be quoted. https://www.rfc-editor.org/rfc/rfc8216.html#section-4.3.4.2","ref":"HLS.Variant.html#serialize_attribute/2","title":"HLS.Variant.serialize_attribute/2","type":"function"},{"doc":"","ref":"HLS.Variant.html#serialize_attributes/1","title":"HLS.Variant.serialize_attributes/1","type":"function"}]